Subject: Re: bug#62806: [PATCH] gnu: home: services: fontutils: Add support for SXML fragments.

From: Andrew Tropin <[email-masked]>
Date: Fri, 12 May 2023 10:45:35 +0400

On 2023-05-11 14:34, Ludovic Courtès wrote:

> Hi Andrew,
>
> Sorry for the delay and thanks for your feedback.
>
> Andrew Patterson <[email-masked]> skribis:
>
>> It seems to me that the main options are:
>> 1) Just use my patch, or
>> 2) write a new patch with an actual configuration record type,
>>   based on conses and Taiju HAGASHI's patches, either with
>>   a) a single font family for the default font family settings,
>>   b) a list of font families for the default font families, or
>>   c) allowing either.
>
> I went with #1, but that doesn’t prevent us from considering #2 as an
> improvement going forward.  Conses, Andrews: you’re welcome to share
> your thoughts!

The implementation LGTM and probably it covers most of use cases
mentioned on the related threads, however, I'm a little bit rusty on
this topic and can't say it for sure :)

I think Miguel (conses) have more to say on this, because AFAIR he
recently did something related to fontconfig configuration.

>
>> If we don't want to just use my patch, I can work on a new patch
>> with a configuration record.  How do you print a deprecation
>> warning?
>
> The (guix deprecation) module provides facilities for that.  If that’s
> too restrictive, use ‘warning’ from (guix diagnostics).
>
> Thanks!
>
> Ludo’.

-- 
Best regards,
Andrew Tropin